extends Node2D
# Converted from https://processing.org/examples/setupdraw.html
#
# Set the window size to 640 by 360 pixels in
# Godot > menu Project > Project Settings... > tab General > 
# Display > Window > Width: 640, Height: 360
#
# Set the background to black color in
# Godot > menu Project > Project Settings... > tab General > 
# Rendering > Environment > Define Clear Color

var y = 180

# Called every frame. 'delta' is the elapsed time since the previous frame.
# The update() method notifies _draw() to update this node (Main in our case). 
func _process(delta):
	update()

# Called automatically only once after enter scene tree. 
# If re-drawing is required, call update() on this node.
func _draw():
	var size = get_viewport_rect().size
	var width = size.x
	var height = size.y
	draw_line(Vector2(0, y), Vector2(width, y), Color.white)
	y = y - 1
	if y < 0:
		y = height - 1
